langcode: en
status: true
dependencies:
  config:
    - block_content.type.key_number
    - field.field.block_content.key_number.body
    - field.field.block_content.key_number.field_animation_duration
    - field.field.block_content.key_number.field_number
    - field.field.block_content.key_number.field_suffix
  module:
    - layout_builder
    - ui_patterns
    - ui_patterns_layouts
  theme:
    - sobki_theme_bootstrap
third_party_settings:
  layout_builder:
    enabled: true
    allow_custom: false
    sections:
      -
        layout_id: 'ui_patterns:sobki_theme_bootstrap:container'
        layout_settings:
          label: ''
          ui_patterns:
            component_id: 'sobki_theme_bootstrap:container'
            variant_id: null
            slots: {  }
            props:
              attributes:
                source_id: ui_styles_attributes
                source:
                  styles:
                    selected:
                      text_text_alignment: text-center
                      spacing_margin_top: mt-2
                      spacing_margin_start: ms-2
                      spacing_margin_end: me-2
                      flex_flex: d-flex
                      flex_justify_content: justify-content-center
                  extra: ''
              tag:
                source_id: select
                source:
                  value: div
          context_mapping:
            entity: layout_builder.entity
        components:
          d9580325-0599-437c-8c16-a7a3cc3c427d:
            uuid: d9580325-0599-437c-8c16-a7a3cc3c427d
            region: content
            configuration:
              id: 'field_block:block_content:key_number:field_number'
              label: Number
              label_display: '0'
              provider: layout_builder
              context_mapping:
                entity: layout_builder.entity
                view_mode: view_mode
              formatter:
                type: ui_patterns_component_per_item
                label: hidden
                settings:
                  ui_patterns:
                    component_id: 'sobki_theme_bootstrap:animated_number'
                    variant_id: null
                    props:
                      attributes:
                        source_id: attributes
                        source:
                          value: ''
                      number:
                        source_id: 'field_property:block_content:field_number:value'
                      duration:
                        source_id: entity_field
                        source:
                          derivable_context: 'field:block_content:key_number:field_animation_duration'
                          'field:block_content:key_number:field_animation_duration':
                            value:
                              source_id: 'field_property:block_content:field_animation_duration:value'
                    slots: {  }
                third_party_settings:
                  fences:
                    fences_field_tag: none
                    fences_field_classes: ''
                    fences_field_items_wrapper_tag: none
                    fences_field_items_wrapper_classes: ''
                    fences_field_item_tag: none
                    fences_field_item_classes: ''
                    fences_label_tag: none
                    fences_label_classes: ''
                  linked_field:
                    linked: 0
                    type: field
                    destination:
                      field: ''
                      custom: ''
                    advanced:
                      title: ''
                      target: ''
                      class: ''
                      rel: ''
                      text: ''
                    token: ''
            weight: 0
            additional:
              ui_styles_wrapper:
                colors_color: text-secondary
                text_font_weight: fw-bold
              ui_styles_wrapper_extra: ''
              ui_styles_title: {  }
              ui_styles_title_extra: ''
              ui_styles: {  }
              ui_styles_extra: ''
          90aa96d7-5530-47fb-a4cf-1593d0706e3d:
            uuid: 90aa96d7-5530-47fb-a4cf-1593d0706e3d
            region: content
            configuration:
              id: 'field_block:block_content:key_number:field_suffix'
              label: Suffix
              label_display: '0'
              provider: layout_builder
              context_mapping:
                entity: layout_builder.entity
                view_mode: view_mode
              formatter:
                type: string
                label: hidden
                settings:
                  link_to_entity: false
                third_party_settings:
                  fences:
                    fences_field_tag: none
                    fences_field_classes: ''
                    fences_field_items_wrapper_tag: none
                    fences_field_items_wrapper_classes: ''
                    fences_field_item_tag: none
                    fences_field_item_classes: ''
                    fences_label_tag: none
                    fences_label_classes: ''
                  linked_field:
                    linked: 0
                    type: field
                    destination:
                      field: ''
                      custom: ''
                    advanced:
                      title: ''
                      target: ''
                      class: ''
                      rel: ''
                      text: ''
                    token: ''
            weight: 1
            additional:
              ui_styles_wrapper:
                spacing_margin_start: ms-2
              ui_styles_wrapper_extra: ''
              ui_styles_title: {  }
              ui_styles_title_extra: ''
              ui_styles: {  }
              ui_styles_extra: ''
        third_party_settings: {  }
      -
        layout_id: 'ui_patterns:sobki_theme_bootstrap:container'
        layout_settings:
          label: ''
          ui_patterns:
            component_id: 'sobki_theme_bootstrap:container'
            variant_id: null
            slots: {  }
            props:
              attributes:
                source_id: ui_styles_attributes
                source:
                  styles:
                    selected:
                      text_text_alignment: text-center
                      spacing_margin_bottom: mb-2
                      spacing_margin_start: ms-2
                      spacing_margin_end: me-2
                  extra: ''
              tag:
                source_id: select
                source:
                  value: div
          context_mapping:
            entity: layout_builder.entity
        components:
          0286d96b-1f7c-4670-a0d0-20bdebd35ba6:
            uuid: 0286d96b-1f7c-4670-a0d0-20bdebd35ba6
            region: content
            configuration:
              id: 'field_block:block_content:key_number:body'
              label: Body
              label_display: '0'
              provider: layout_builder
              context_mapping:
                entity: layout_builder.entity
                view_mode: view_mode
              formatter:
                type: text_default
                label: hidden
                settings: {  }
                third_party_settings:
                  fences:
                    fences_field_tag: none
                    fences_field_classes: ''
                    fences_field_items_wrapper_tag: none
                    fences_field_items_wrapper_classes: ''
                    fences_field_item_tag: none
                    fences_field_item_classes: ''
                    fences_label_tag: none
                    fences_label_classes: ''
                  linked_field:
                    linked: 0
                    type: field
                    destination:
                      field: ''
                      custom: ''
                    advanced:
                      title: ''
                      target: ''
                      class: ''
                      rel: ''
                      text: ''
                    token: ''
            weight: 0
            additional:
              ui_styles_wrapper: {  }
              ui_styles_wrapper_extra: ''
              ui_styles_title: {  }
              ui_styles_title_extra: ''
              ui_styles: {  }
              ui_styles_extra: ''
        third_party_settings: {  }
id: block_content.key_number.default
targetEntityType: block_content
bundle: key_number
mode: default
content: {  }
hidden:
  body: true
  field_animation_duration: true
  field_number: true
  field_suffix: true
  langcode: true
